%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_DEA_Linearmulti1
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_DEA_Linearmulti1.zip'
%Run program 'problem_DEA_Linearmulti1.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_DEA_Linearmulti1_data.mat')
%Define options for PSG solver:
stroptions.Linearization = 'On';

%Solve optimization problems:
[xout, fval, status, output] = riskprog([], [], [], [], [], d, A, b, Aeq, beq, lb, ub, [], stroptions);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('linear = %g', output.fdval));
%Display left hand sides of linear inequality:
disp('linear inequality:')
disp(output.fAval)
%Display residual of linear inequality:
disp(sprintf('residual of linear inequality = %g', output.rAval));
%Display left hand sides of linear equality:
disp(sprintf('linear equality = %g', output.fAeqval));
%Display residual of linear equality:
disp(sprintf('residual of linear equality = %g', output.rAeqval));
%Display optimal point:
disp('optimal point = ');
disp(xout);
